# Get payouts of the affiliate

| HTTP method | Endpoint                   |
| ----------- | -------------------------- |
| **GET**     | **/v1/affiliate\_payouts** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters      | Type    | Description                                                                                                                                                               |
| ---------- | --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset          | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit           | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort            | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters         | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                 |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields          | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id              | integer | A string that uniquely identifies this payout                                                                                                                             |
|            | offer\_id       | integer |                                                                                                                                                                           |
|            | affiliate\_id   | integer |                                                                                                                                                                           |
|            | event\_id       | integer | Event id.                                                                                                                                                                 |
|            | current\_payout | string  | Payout                                                                                                                                                                    |
|            | percent\_payout | string  | Percent payout                                                                                                                                                            |
|            | create\_time    | integer | Creat time.                                                                                                                                                               |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field           | Type    | Description                                                                                                        |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id              | integer | A string that uniquely identifies this payout                                                                      |
| offer\_id       | integer |                                                                                                                    |
| affiliate\_id   | integer |                                                                                                                    |
| event\_id       | integer | Event id.                                                                                                          |
| current\_payout | string  | Payout                                                                                                             |
| percent\_payout | string  | Percent payout                                                                                                     |
| create\_time    | integer | Creat time.                                                                                                        |
| totalPages      | integer | The list of data pages (associated with your limit).                                                               |
| totalRows       | integer | Total number of available data.                                                                                    |
| offset          | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit           | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliate_payouts?sort=+id&offset=1&fields=id,current_payout&filters[id][GREATER_THAN]=60>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliate_payouts?sort=+id&offset=1&fields=id,current_payout&filters[id][GREATER_THAN]=60>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 67,
            "current_payout": "2"
          },
          {
            "id": 78,
            "current_payout": "2.3"
          },
          {
            "id": 80,
            "current_payout": "3.0"
          },
          {
            "id": 81,
            "current_payout": "3.6"
          },
          {
            "id": 84,
            "current_payout": "1.2"
          },
          {
            "id": 88,
            "current_payout": "0.5"
          },
          {
            "id": 89,
            "current_payout": "12"
          },
          {
            "id": 93,
            "current_payout": "2.7"
          }
        ],
        "totalPages": 3,
        "totalRows": 17,
        "offset": 1,
        "limit": 8
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts/get_payouts_of_the_affiliate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
